
import 'package:flutter/material.dart';
import 'package:flutter_split_view/flutter_split_view.dart';
import 'package:persistent_bottom_nav_bar/persistent_tab_view.dart';

class TalkNavigator {
  static void pushSplitView(BuildContext context, Widget view) {
    if(SplitView.of(context).isSecondaryVisible) {
      SplitView.of(context).setSecondary(view);
    } else {
      PersistentNavBarNavigator.pushNewScreen(context, screen: view, withNavBar: false);
    }
  }
}